{
  "parent": "minecraft:item/handheld",
  "textures": {
    "layer0": "minecraft:item/diamond_sword"
  },
  "overrides": [
    { "predicate": { "custom_model_data": 1010000}, "model": "undeadm-m1:item/melee_weapon/diamond_scimitar" },
    { "predicate": { "custom_model_data": 1010001}, "model": "undeadm-m1:item/melee_weapon/diamond_dagger" },
    { "predicate": { "custom_model_data": 1010003}, "model": "undeadm-m1:item/melee_weapon/diamond_great_scimitar" },
    { "predicate": { "custom_model_data": 1010005}, "model": "undeadm-m1:item/melee_weapon/diamond_great_sword" },
    { "predicate": { "custom_model_data": 1010008}, "model": "undeadm-m1:item/melee_weapon/diamond_katana" }
  ]
}
